cascading.pipe.assembly

## Enum AggregateBy.Cache

- java.lang.Object
- - java.lang.Enum<AggregateBy.Cache>
  - - cascading.pipe.assembly.AggregateBy.Cache

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<AggregateBy.Cache>
  Enclosing class:
    AggregateBy

      public static enum AggregateBy.Cache
      extends java.lang.Enum<AggregateBy.Cache>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Num_Keys_Flushed`
    `Num_Keys_Hit`
    `Num_Keys_Missed`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AggregateBy.Cache` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static AggregateBy.Cache[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Num_Keys_Flushed

          public static final AggregateBy.Cache Num_Keys_Flushed

    - #### Num_Keys_Hit

          public static final AggregateBy.Cache Num_Keys_Hit

    - #### Num_Keys_Missed

          public static final AggregateBy.Cache Num_Keys_Missed

  - ### Method Detail

    - #### values

          public static AggregateBy.Cache[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AggregateBy.Cache c : AggregateBy.Cache.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AggregateBy.Cache valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.